Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.process
Interface JavaExecSpec

All Superinterfaces:
  BaseExecSpec, JavaForkOptions, ProcessForkOptions

All Known Implementing Classes:
  JavaExec

    public interface JavaExecSpec

extends JavaForkOptions, BaseExecSpec

Method Summary
`JavaExecSpec` | `args(Iterable<?> args)` Adds args for the main class to be executed.
`JavaExecSpec` | `args(Object... args)` Adds args for the main class to be executed.
`JavaExecSpec` | `classpath(Object... paths)` Adds elements to the classpath for executing the main class.
`List<String>` | `getArgs()` Returns the arguments passed to the main class to be executed.
`FileCollection` | `getClasspath()` Returns the classpath for executing the main class.
`String` | `getMain()` Returns the fully qualified name of the Main class to be executed.
`JavaExecSpec` | `setArgs(Iterable<?> args)` Sets the args for the main class to be executed.
`JavaExecSpec` | `setClasspath(FileCollection classpath)` Sets the classpath for executing the main class.
`JavaExecSpec` | `setMain(String main)` Sets the fully qualified name of the main class to be executed.

Methods inherited from interface org.gradle.process.JavaForkOptions
`bootstrapClasspath, copyTo, getAllJvmArgs, getBootstrapClasspath, getDebug, getEnableAssertions, getJvmArgs, getMaxHeapSize, getSystemProperties, jvmArgs, jvmArgs, setAllJvmArgs, setBootstrapClasspath, setDebug, setEnableAssertions, setJvmArgs, setMaxHeapSize, setSystemProperties, systemProperties, systemProperty`

Methods inherited from interface org.gradle.process.BaseExecSpec
`getCommandLine, getStandardInput, isIgnoreExitValue, setErrorOutput, setIgnoreExitValue, setStandardInput, setStandardOutput`

Methods inherited from interface org.gradle.process.ProcessForkOptions
`copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setWorkingDir, workingDir`

Method Detail

### getMain

    String getMain()

  Returns the fully qualified name of the Main class to be executed.

### setMain

    JavaExecSpec setMain(String main)

  Sets the fully qualified name of the main class to be executed.

  Parameters:
    `main` - the fully qualified name of the main class to be executed.
  Returns:
    this

### getArgs

    List<String> getArgs()

  Returns the arguments passed to the main class to be executed.

### args

    JavaExecSpec args(Object... args)

  Adds args for the main class to be executed.

  Parameters:
    `args` - Args for the main class.
  Returns:
    this

### args

    JavaExecSpec args(Iterable<?> args)

  Adds args for the main class to be executed.

  Parameters:
    `args` - Args for the main class.
  Returns:
    this

### setArgs

    JavaExecSpec setArgs(Iterable<?> args)

  Sets the args for the main class to be executed.

  Parameters:
    `args` - Args for the main class.
  Returns:
    this

### classpath

    JavaExecSpec classpath(Object... paths)

  Adds elements to the classpath for executing the main class.

  Parameters:
    `paths` - classpath elements
  Returns:
    this

### getClasspath

    FileCollection getClasspath()

  Returns the classpath for executing the main class.

### setClasspath

    JavaExecSpec setClasspath(FileCollection classpath)

  Sets the classpath for executing the main class.

  Parameters:
    `classpath` - the classpath
  Returns:
    this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD